org.jboss.jca.embedded.dsl.datasources11.api

## Interface DriverType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface DriverType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `driverType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DriverType<T>` | `datasourceClass(java.lang.String datasourceClass)` Sets the `datasource-class` element
    `DriverType<T>` | `driverClass(java.lang.String driverClass)` Sets the `driver-class` element
    `java.lang.String` | `getDatasourceClass()` Returns the `datasource-class` element
    `java.lang.String` | `getDriverClass()` Returns the `driver-class` element
    `java.lang.Integer` | `getMajorVersion()` Returns the `major-version` attribute
    `java.lang.Integer` | `getMinorVerion()` Returns the `minor-verion` attribute
    `java.lang.String` | `getModule()` Returns the `module` attribute
    `java.lang.String` | `getName()` Returns the `name` attribute
    `java.lang.String` | `getXaDatasourceClass()` Returns the `xa-datasource-class` element
    `DriverType<T>` | `majorVersion(java.lang.Integer majorVersion)` Sets the `major-version` attribute
    `DriverType<T>` | `minorVerion(java.lang.Integer minorVerion)` Sets the `minor-verion` attribute
    `DriverType<T>` | `module(java.lang.String module)` Sets the `module` attribute
    `DriverType<T>` | `name(java.lang.String name)` Sets the `name` attribute
    `DriverType<T>` | `removeDatasourceClass()` Removes the `datasource-class` element
    `DriverType<T>` | `removeDriverClass()` Removes the `driver-class` element
    `DriverType<T>` | `removeMajorVersion()` Removes the `major-version` attribute
    `DriverType<T>` | `removeMinorVerion()` Removes the `minor-verion` attribute
    `DriverType<T>` | `removeModule()` Removes the `module` attribute
    `DriverType<T>` | `removeName()` Removes the `name` attribute
    `DriverType<T>` | `removeXaDatasourceClass()` Removes the `xa-datasource-class` element
    `DriverType<T>` | `xaDatasourceClass(java.lang.String xaDatasourceClass)` Sets the `xa-datasource-class` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### driverClass

          DriverType<T> driverClass(java.lang.String driverClass)

      Sets the `driver-class` element
      Parameters:
        `driverClass` - the value for the element `driver-class`
      Returns:
        the current instance of `DriverType`

    - #### getDriverClass

          java.lang.String getDriverClass()

      Returns the `driver-class` element
      Returns:
        the node defined for the element `driver-class`

    - #### removeDriverClass

          DriverType<T> removeDriverClass()

      Removes the `driver-class` element
      Returns:
        the current instance of `DriverType`

    - #### datasourceClass

          DriverType<T> datasourceClass(java.lang.String datasourceClass)

      Sets the `datasource-class` element
      Parameters:
        `datasourceClass` - the value for the element `datasource-class`
      Returns:
        the current instance of `DriverType`

    - #### getDatasourceClass

          java.lang.String getDatasourceClass()

      Returns the `datasource-class` element
      Returns:
        the node defined for the element `datasource-class`

    - #### removeDatasourceClass

          DriverType<T> removeDatasourceClass()

      Removes the `datasource-class` element
      Returns:
        the current instance of `DriverType`

    - #### xaDatasourceClass

          DriverType<T> xaDatasourceClass(java.lang.String xaDatasourceClass)

      Sets the `xa-datasource-class` element
      Parameters:
        `xaDatasourceClass` - the value for the element `xa-datasource-class`
      Returns:
        the current instance of `DriverType`

    - #### getXaDatasourceClass

          java.lang.String getXaDatasourceClass()

      Returns the `xa-datasource-class` element
      Returns:
        the node defined for the element `xa-datasource-class`

    - #### removeXaDatasourceClass

          DriverType<T> removeXaDatasourceClass()

      Removes the `xa-datasource-class` element
      Returns:
        the current instance of `DriverType`

    - #### name

          DriverType<T> name(java.lang.String name)

      Sets the `name` attribute
      Parameters:
        `name` - the value for the attribute `name`
      Returns:
        the current instance of `DriverType`

    - #### getName

          java.lang.String getName()

      Returns the `name` attribute
      Returns:
        the value defined for the attribute `name`

    - #### removeName

          DriverType<T> removeName()

      Removes the `name` attribute
      Returns:
        the current instance of `DriverType`

    - #### module

          DriverType<T> module(java.lang.String module)

      Sets the `module` attribute
      Parameters:
        `module` - the value for the attribute `module`
      Returns:
        the current instance of `DriverType`

    - #### getModule

          java.lang.String getModule()

      Returns the `module` attribute
      Returns:
        the value defined for the attribute `module`

    - #### removeModule

          DriverType<T> removeModule()

      Removes the `module` attribute
      Returns:
        the current instance of `DriverType`

    - #### majorVersion

          DriverType<T> majorVersion(java.lang.Integer majorVersion)

      Sets the `major-version` attribute
      Parameters:
        `majorVersion` - the value for the attribute `major-version`
      Returns:
        the current instance of `DriverType`

    - #### getMajorVersion

          java.lang.Integer getMajorVersion()

      Returns the `major-version` attribute
      Returns:
        the value defined for the attribute `major-version`

    - #### removeMajorVersion

          DriverType<T> removeMajorVersion()

      Removes the `major-version` attribute
      Returns:
        the current instance of `DriverType`

    - #### minorVerion

          DriverType<T> minorVerion(java.lang.Integer minorVerion)

      Sets the `minor-verion` attribute
      Parameters:
        `minorVerion` - the value for the attribute `minor-verion`
      Returns:
        the current instance of `DriverType`

    - #### getMinorVerion

          java.lang.Integer getMinorVerion()

      Returns the `minor-verion` attribute
      Returns:
        the value defined for the attribute `minor-verion`

    - #### removeMinorVerion

          DriverType<T> removeMinorVerion()

      Removes the `minor-verion` attribute
      Returns:
        the current instance of `DriverType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)